package com.example.zxweb.init;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.example.zxweb.common.constant.DevConstant;
import com.example.zxweb.common.constant.enums.IotApiEnum;
import com.example.zxweb.entity.ZxCelue;
import com.example.zxweb.service.IZxCelueService;
import com.example.zxweb.utils.IotUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.context.annotation.Configuration;
import org.springframework.util.CollectionUtils;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 启动项目后获取策略信息
 * @Author ZhouWenTao
 * @Date 2023/9/13 13:48
 */
@Configuration
@Slf4j
public class LoadCelueInit implements ApplicationRunner{
    @Resource
    IZxCelueService zxCelueService;
    @Override
    public void run(ApplicationArguments args) throws Exception {
        //获取网关的数据，同步到数据库中
        /*String gateway_5lqh = DevConstant.gateway.gateway_5lqh;//5楼网关
        String format = String.format("{\"serial\":\"%s\",\"productId\":\"\",\"methodName\":\"celueListQuery\",\"inputData\":{\"devid\":\"%s\"}}", gateway_5lqh,gateway_5lqh);
        JSONObject requestBody = JSONObject.parseObject(format);
        JSONObject responseBody = IotUtils.postApi(IotApiEnum.getPathByText("向设备发送方法"), requestBody);
        JSONObject data = responseBody.getJSONObject("data");
        if (data!=null) {
            JSONObject outputData = data.getJSONObject("outputData");
            if (outputData!=null) {
                JSONArray list = outputData.getJSONArray("list");
                if (!CollectionUtils.isEmpty(list)) {
                    List<ZxCelue> zxCelues = list.toJavaList(ZxCelue.class);
                    //更新库表
                    zxCelueService.saveOrUpdateBatch(zxCelues);
                }
            }
        }*/
    }
}
